From a95efe0740b5173a48fdcac0a36fdb72d93d1146 Mon Sep 17 00:00:00 2001
From: Luke Leighton <lkcl@lkcl.net>
Date: Mon, 13 Sep 2010 20:42:37 +0100
Subject: [PATCH 29/34] add get_patient_messages by pk

---
 gnumed/gnumed/client/ProxiedWeb/gmWebGuiServer.py |    6 +++++-
 gnumed/gnumed/client/ProxiedWeb/gui/Remote.py     |    1 +
 2 files changed, 6 insertions(+), 1 deletions(-)

diff --git a/gnumed/gnumed/client/ProxiedWeb/gmWebGuiServer.py b/gnumed/gnumed/client/ProxiedWeb/gmWebGuiServer.py
index db13831..03f88da 100644
--- a/gnumed/gnumed/client/ProxiedWeb/gmWebGuiServer.py
+++ b/gnumed/gnumed/client/ProxiedWeb/gmWebGuiServer.py
@@ -343,6 +343,7 @@ class HTTPServer(SimpleForkingJSONRPCServer):
         self.register_function(self.login)
         self.register_function(self.search_patient)
         self.register_function(self.get_provider_inbox_data)
+        self.register_function(self.get_patient_messages)
         self.register_function(self.get_doc_types)
         self.register_function(self.get_documents)
         self.register_function(self.get_schema_version)
@@ -393,11 +394,14 @@ class HTTPServer(SimpleForkingJSONRPCServer):
         self.person = None
         return jsonclasshintify(idents)
 
+    def get_patient_messages(self, pk_patient):
+        messages = gmProviderInbox.get_inbox_messages(pk_patient=pk_patient)
+        return jsonclasshintify(messages)
+
     def get_provider_inbox_data(self):
         self.provider = gmPerson.gmCurrentProvider(provider=gmPerson.cStaff())
         inbox = gmProviderInbox.cProviderInbox()
         self.__msgs = inbox.messages
-        """convert from objects to dict - maybe that works """
         return jsonclasshintify(inbox.messages)
 
     def get_schema_version(self):
diff --git a/gnumed/gnumed/client/ProxiedWeb/gui/Remote.py b/gnumed/gnumed/client/ProxiedWeb/gui/Remote.py
index 174fd1f..6b5cce5 100644
--- a/gnumed/gnumed/client/ProxiedWeb/gui/Remote.py
+++ b/gnumed/gnumed/client/ProxiedWeb/gui/Remote.py
@@ -11,6 +11,7 @@ class EchoServicePython(JSONProxy):
                 "get_schema_version",
                 "get_documents",
                 "get_provider_inbox_data",
+                "get_patient_messages",
                 "doSomething",
                 "search_patient"])
 
-- 
1.7.1

